import angr

simfile = angr.SimFile('test_file', content='aGVsbG8gd29ybGQK\n')
proj = angr.Project('./base64')
state = proj.factory.entry_state(args=['./base64', '-d', 'test_file'], fs={'test_file': simfile}, mode='tracing')
sm = proj.factory.simulation_manager(state)
sm.run()

print(sm.errored)
